Modify

Opened 2 weeks ago

Closed 2 weeks ago

Last modified 8 days ago

#20096 closed defect (fixed)

Changeset hashtags from remote control not uploaded

Reported by: adamfranco Owned by: Don-vip
Priority: normal Milestone: 20.11
Component: Core Version:
Keywords: template_report upload changeset hashtag regression Cc:

Description

What steps will reproduce the problem?

  1. Click on a link with a changeset_hashtag in it. Example:
http://127.0.0.1:8111/load_and_zoom?left=-73.04305182636872&bottom=43.9710723800258&right=-73.03307112352816&top=43.97421886128481&changeset_hashtags=%23test_hashtag
  1. Make an edit.
  2. Click the "Upload" button and add a comment while still on the "Settings" tab.
  3. View the changeset (Example). Note that no hashtags are added to the changeset.

What is the expected result?

I expect that if the the changeset hashtags were passed to JOSM that they would applied to the uploaded changeset.

If the user happens to click on the "Tags of new Changeset" tab and then back to the "Settings" tab, then hashtags are uploaded. The user shouldn't have to click between the tabs to get the hashtags to upload.

What happens instead?

If the user just adds a comment to the changeset and clicks "Upload Changes", then the hashtags are dropped unless the user clicks on the "Tags of new Changeset" tab.

Please provide any additional information below. Attach a screenshot if possible.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-10-03 13:42:38 +0200 (Sat, 03 Oct 2020)
Build-Date:2020-10-04 01:30:47
Revision:17084
Relative:URL: ^/trunk

Identification: JOSM/1.5 (17084 en) Mac OS X 10.10.5
OS Build number: Mac OS X 10.10.5 (14F2511)
Memory Usage: 918 MB / 1820 MB (195 MB allocated, but free)
Java version: 1.8.0_271-b09, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.apple.laf.AquaLookAndFeel
Screen: Display 69732352 1280x800 (scaling 1.0x1.0)
Maximum Screen Size: 1280x800
Best cursor sizes: 16x16 -> 16x16, 32x32 -> 32x32
VM arguments: [-Djava.security.policy=file:<java.home>/lib/security/javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>/bin, -Djava.security.manager, -Djnlpx.origFilenameArg=${HOME}/Library/Application Support/Oracle/Java/Deployment/cache/6.0/56/1ee8cfb8-363197d6, -Djnlpx.remove=false, -Dsun.awt.warmup=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=NULL,2048m, -Dmacosx.jnlpx.dock.name=JOSM, -Dmacosx.jnlpx.dock.icon=${HOME}/Library/Application Support/Oracle/Java/Deployment/cache/6.0/25/4c122699-3942b515.icns, -Djnlp.application.href=https://josm.openstreetmap.de/download/josm.jnlp , -Djnlpx.jvm="<java.home>/bin/java"]
Dataset consistency test: No problems found

Plugins:
+ DirectDownload (35552)
+ apache-commons (35524)
+ buildings_tools (35579)
+ conflation (0.6.6)
+ ejml (35313)
+ geotools (35169)
+ jaxb (35092)
+ jts (35122)
+ opendata (35513)
+ reltoolbox (35602)
+ reverter (35579)
+ utilsplugin2 (35624)

Tagging presets:
+ ${HOME}/Dropbox/AdamJOSMPresets.xml

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- https://github.com/gmgeo/osmic-josm-style/archive/master.zip

Last errors/warnings:
- 00018.263 W: Not a single layer for the name 'USGS Topographic Maps': []

Attachments (0)

Change History (5)

comment:1 Changed 2 weeks ago by Don-vip

Keywords: upload changeset hashtag added

comment:2 Changed 2 weeks ago by Don-vip

Keywords: regression added
Milestone: 20.10
Owner: changed from team to Don-vip
Status: newassigned

comment:3 Changed 2 weeks ago by Don-vip

Resolution: fixed
Status: assignedclosed

In 17318/josm:

fix #20096 - restore comment initialization from dataset changeset hashtags if specified through remote control (regression from recent upload dialog changes)

comment:4 Changed 2 weeks ago by adamfranco

Thanks for the quick fix Don-vip! :-)

comment:5 Changed 8 days ago by Don-vip

Milestone: 20.1020.11

Milestone renamed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.